Package org.codehaus.groovy.transform

# Annotation Type GroovyASTTransformationClass

@Retention(RUNTIME) @Target(ANNOTATION_TYPE) public @interface GroovyASTTransformationClass
This is an annotation on some item that indicates that an associated transform classes should be executed. As of Groovy 1.6 the only valid target is the annotation type. Each of the class names in the value must be annotated with `GroovyASTTransformation`. It is a compile time error to specify a `GroovyASTTransformationClass` that is not accessible at compile time. It need not be available at runtime.

Author:
  Danno Ferrin (shemnon), Roshan Dawrani (roshandawrani)

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class[]`
`classes`
`String[]`
`value`

## Element Details

### value

String[] value

Default:
  `{}`

### classes

Class[] classes

Default:
  `{}`